FFe: Update gnome-disk-utility to 3.8

Bug #1092719 reported by Robert Ancell on 2012-12-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-disk-utility (Ubuntu)
Wishlist
Jeremy Bicha

Bug Description

This is a major upgrade, fixing several regressions from previous rewrites.

https://git.gnome.org/browse/gnome-disk-utility/tree/NEWS?h=gnome-3-8

Ubuntu bugs fixed include bug 1222446, bug 1082097, bug 1222776, and bug 1077342.

The only reason this wasn't uploaded back in June was that it needed gnome-settings-daemon to be upgraded to 3.8 first which happened earlier today.

Ubuntu/Debian changelog
-----------------------
gnome-disk-utility (3.8.2-1ubuntu1) UNRELEASED; urgency=low

  * Resynchronize with Debian (LP: #1092719, #1222446, #1082097, #1222776,
    LP: #1077342) Remaining change:
    - debian/control, debian/rules
      + Build-depend on and run dh-translations
  * Build-depend on and run dh-autoreconf
  * debian/patches/dont-use-libdvdread:
    Revert commit that depends on libdvdread since it's in universe

 -- Jeremy Bicha <email address hidden> Tue, 18 Jun 2013 00:22:30 -0400

gnome-disk-utility (3.8.2-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Exclude the g-s-d plugin when running dh_makeshlibs.

 -- Michael Biebl <email address hidden> Fri, 14 Jun 2013 01:21:20 +0200

gnome-disk-utility (3.8.0-1) experimental; urgency=low

  * Team upload.
  * Imported Upstream version 3.8.0
  * Bump udisks2 build-dependency to >= 2.1.0 according to configure.ac
  * Add new build-dependencies according to configure.ac
    - canberra, libdvdread, gnome-settings-daemon, libnotify
  * Don't ship any *.la files
  * Bump gsd to >= 3.8 according to https://bugzilla.gnome.org/697146
  * Add libsystemd-login-dev build-dependency to enable multiseat support

 -- Andreas Henriksson <email address hidden> Sat, 25 May 2013 16:20:41 +0200

Changed in gnome-disk-utility (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Sebastien Bacher (seb128) wrote :

The new udisk is there now but the new version depends on libdvdread which is in universe, that will need a MIR first

Jeremy Bicha (jbicha) wrote :

It turns out that this also won't build without gnome-settings-daemon >=3.8.

In case the eventual libdvdread MIR fails, I also tried to revert
https://git.gnome.org/browse/gnome-disk-utility/commit/?id=cb3afaea

Because I didn't have gnome-settings-daemon 3.8 installed here I didn't make sure it builds with the revert patch or still works. Anyway, I'm attaching the work I did so far.

tags: added: patch
Jeremy Bicha (jbicha) on 2013-09-09
summary: - Update to 3.8
+ FFe: Update gnome-disk-utility to 3.8
Jeremy Bicha (jbicha) wrote :
description: updated
Changed in gnome-disk-utility (Ubuntu):
status: Triaged → Confirmed

On Mon, Sep 09, 2013 at 11:23:10PM -0000, Launchpad Bug Tracker wrote:
> You have been subscribed to a public bug by Jeremy Bicha (jbicha):
>
> This is a major upgrade, fixing several regressions from previous
> rewrites.
>
> https://git.gnome.org/browse/gnome-disk-utility/tree/NEWS?h=gnome-3-8
>
> Ubuntu bugs fixed include bug 1222446, bug 1082097, bug 1222776, and bug
> 1077342.
>
> The only reason this wasn't uploaded back in June was that it needed
> gnome-settings-daemon to be upgraded to 3.8 first which happened earlier
> today.

[ RT: Not trying to take the reviewing lock on this one ]

Do you have any other 3.8 updates that require FFes queued up? My gut
feeling is that this one seems fine in itself but I would like to know
what else you are going to try to update.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Jeremy Bicha (jbicha) wrote :

> Do you have any other 3.8 updates that require FFes queued up?

No.

I would have liked to do the webkitgtk 2/epiphany-browser 3.8 update (LP: #1186558) but it's blocked by a nasty bug that breaks Software Center (LP: #1163886). At this point, it does not look like that bug will be fixed in a reasonable time to be ready for Saucy.

Jeremy Bicha (jbicha) wrote :

And gnome-terminal 3.8 would have been nice but bug 1132700 is still open.

Scott Kitterman (kitterman) wrote :

This affects Ubuntu Desktop, Lubuntu, and Ubuntu Gnome, so to start with we should have agreement from the three product managers that we want this in this late in the game.

Changed in gnome-disk-utility (Ubuntu):
status: Confirmed → Incomplete
Tim Lunn (darkxst) wrote :

We want this update for Ubuntu GNOME, so +1 from me

Julien Lavergne (gilir) wrote :

Ok for Lubuntu, no regression found with my quick testing

Jeremy Bicha (jbicha) wrote :

seb128 is away this week but last week he sounded ok with the update:

http://irclogs.ubuntu.com/2013/09/11/%23ubuntu-desktop.html#t14:13

Changed in gnome-disk-utility (Ubuntu):
status: Incomplete → Confirmed
Scott Kitterman (kitterman) wrote :

OK. Approved. Keep in mind that when seb128 was talking on IRC as you mentioned, he said:

seb128 jbicha, well, in any case I've no objection to the update, under the condition that whoever does the update deals with issues/fallouts

jbicha: Just so there's no confusion, the "whoever" is you.

Changed in gnome-disk-utility (Ubuntu):
assignee: nobody → Jeremy Bicha (jbicha)
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-disk-utility - 3.8.2-1ubuntu2

---------------
gnome-disk-utility (3.8.2-1ubuntu2) saucy; urgency=low

  * Depend on gnome-icon-theme-symbolic
 -- Jeremy Bicha <email address hidden> Wed, 18 Sep 2013 10:10:52 -0400

Changed in gnome-disk-utility (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments